function [I_u1,I_u2] = initialdispatboundary(t,x,L,c)
%Initial Displacement at the Boundary (x=0 and x=L) 
%This function calculates the domain integral I_u for the boundary points
array_length = length(t);
array_length_domain = length(x);
I_u1 = zeros (array_length,1); I_u2 = zeros (array_length,1);
for k = 1:array_length
    variable = c*t(k);
for j = 1:array_length_domain
    xi = x(j); 
        if xi == 0
            if variable >= L
                I_u1 (k,1) = 0;
            elseif variable >= 0 && variable < L 
                I_u1 (k,1) = 0.5*initialdispinput(variable,L);                
            end
        elseif xi == L
            if (L-variable) > 0 && (L-variable) <= L
                I_u2 (k,1) = 0.5*initialdispinput(L-variable,L);
            else
                I_u2 (k,1) = 0;
            end
        end
end
end
end



